Saltar al contenido principal
GET
/
url-mappings
/
v3
/
url-mappings
cURL
curl --request GET \
  --url https://api.hubapi.com/url-mappings/v3/url-mappings \
  --header 'Authorization: Bearer <token>'
[
  {
    "cdnPurgeEmbargoTime": 123,
    "contentGroupId": 123,
    "created": 123,
    "createdById": 123,
    "deletedAt": 123,
    "destination": "<string>",
    "id": 123,
    "internallyCreated": true,
    "isActive": true,
    "isMatchFullUrl": true,
    "isMatchQueryString": true,
    "isOnlyAfterNotFound": true,
    "isPattern": true,
    "isProtocolAgnostic": true,
    "isRegex": true,
    "isTrailingSlashOptional": true,
    "label": "<string>",
    "lastUsedAt": 123,
    "name": "<string>",
    "note": "<string>",
    "portalId": 123,
    "precedence": 123,
    "redirectStyle": 123,
    "routePrefix": "<string>",
    "updated": 123,
    "updatedById": 123
  }
]

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Respuesta

successful operation

cdnPurgeEmbargoTime
integer<int64>
requerido
contentGroupId
integer<int64>
requerido
cosObjectType
enum<string>
requerido
Opciones disponibles:
ACCESS_GROUP_MEMBERSHIP,
APP_PAGE,
BLOCK,
BLOG,
BLOG_AUTHOR,
BRAND_BUSINESS_UNIT,
BRAND_SETTINGS,
CONTACT_MEMBERSHIP,
CONTENT,
CONTENT_EMBED,
CONTENT_FOLDER,
CONTENT_GROUP,
CRM_OBJECT,
CRM_OBJECT_TYPE,
CUSTOM_WIDGET,
CUSTOMER_PORTAL,
DATA_QUERY,
DESIGN_FOLDER,
DOMAIN,
DOMAIN_SETTINGS,
EMAIL_ADDRESS,
EXTENSION_RESOURCE,
FILE,
FOLDER,
FOLLOW_ME,
FORM,
GLOBAL_CONTENT,
GLOBAL_STYLES_THEME,
HUBDB_TABLE,
HUBDB_TABLE_ROW,
IMAGE,
JS_PROJECT_COMPONENT,
KNOWLEDGE_BASE,
KNOWLEDGE_CATEGORY,
KNOWLEDGE_CATEGORY_TRANSLATION,
KNOWLEDGE_HOMEPAGE_CATEGORY,
LAYOUT,
LAYOUT_SECTION,
LIST_MEMBERSHIP,
MARKETPLACE_LISTING,
PASSWORD_PROTECTED,
PAYMENT,
PERSONALIZATION_TOKEN,
PLACEMENT,
PROJECT,
QUOTE_TEMPLATE,
RAW_ASSET,
REDIRECT_URL,
SECTION,
SERVERLESS_FUNCTION,
SITE_MAP,
SITE_MENU,
SITE_SETTINGS,
SUBSCRIPTIONS_SETTINGS,
TAG,
THEME,
THEME_SETTINGS,
UNRESTRICTED_ACCESS,
URL_MAPPING,
VIDEO_PLAYER,
WIDGET,
WORKFLOW
created
integer<int64>
requerido
createdById
integer<int32>
requerido
deletedAt
integer<int64>
requerido
destination
string
requerido

The destination URL, where the target URL should be redirected if it matches the routePrefix.

id
integer<int64>
requerido

The unique ID of this URL redirect.

internallyCreated
boolean
requerido
isActive
boolean
requerido
isMatchFullUrl
boolean
requerido

Whether the routePrefix should match on the entire URL, including the domain.

isMatchQueryString
boolean
requerido

Whether the routePrefix should match on the entire URL path, including the query string.

isOnlyAfterNotFound
boolean
requerido

Whether the URL redirect mapping should apply only if a live page on the URL isn't found. If False, the URL redirect mapping will take precedence over any existing page.

isPattern
boolean
requerido

Whether the routePrefix should match based on pattern.

isProtocolAgnostic
boolean
requerido

Whether the routePrefix should match both HTTP and HTTPS protocols.

isRegex
boolean
requerido
isTrailingSlashOptional
boolean
requerido

Whether a trailing slash will be ignored.

label
string
requerido
lastUsedAt
integer<int64>
requerido
name
string
requerido
note
string
requerido
portalId
integer<int32>
requerido
precedence
integer<int32>
requerido

Used to prioritize URL redirection. If a given URL matches more than one redirect, the one with the lower precedence will be used.

redirectStyle
integer<int32>
requerido

The type of redirect to create. Options include: 301 (permanent), 302 (temporary), or 305 (proxy). Find more details here.

routePrefix
string
requerido

The target incoming URL, path, or pattern to match for redirection.

updated
integer<int64>
requerido
updatedById
integer<int32>
requerido
Última modificación el 11 de junio de 2026